close all
clear all

% parametres du materiau elastoplastique a ecrouissage isotrope, 
% loi exponentielle
mat.R0 = 600;
mat.Q = 100;
mat.b = 1000;
mat.E = 210000;
% parametres numeriques
mat.precision = 1.e-8; % precision pour l'arret des iterations de l'algorithme de Newton-Raphson
mat.max_iter = 20;     % nombre maximum d'iterartions

Epsilon = [0.,0.0028:0.00001:0.0075]; % evolution donnee de la deformation longitudinale


Vint.p = 0;
Vint.epsilon_e = 0;

Sigma = 0;
Q = [];
max_iter = 0;
for it=2:size(Epsilon,2)  % integration, boucle sur les increments de deformation
  D_epsilon = Epsilon(it)-Epsilon(it-1);
  [Vint,S,Js,iter] = integration_locale(D_epsilon, Epsilon(it-1),Vint,mat);
  % sauvegarde de resultats intermediaires
  Sigma = [Sigma,S];
  Q = [Q, [abs(S) - R(Vint.p,mat); Vint.p]];
  max_iter = max(max_iter,iter);
end
disp(['max_iter = ',int2str(max_iter)])

% affichage de resultats
figure
plot(Epsilon,Sigma,'+')
xlabel('Epsilon')
ylabel('Sigma')

figure
plot(Epsilon(2:size(Epsilon,2)),Q(1,:),'+')
xlabel('Epsilon')
ylabel('Phi')


