function [Vint,Sigma,Js,max_iter] = integration_locale(D_epsilon, epsilon_old,Vint_old,mat)

p_old = Vint_old.p;
epsilon_e_old = Vint_old.epsilon_e;
epsilon_p_old = epsilon_old - epsilon_e_old;

p = p_old;

Sigma = mat.E*(D_epsilon + epsilon_old - epsilon_p_old);
f = abs(Sigma) - R(p,mat);

if f <= 0 % cas elastique
    Vint.epsilon_e = D_epsilon + epsilon_e_old;
    Vint.p = Vint_old.p;
    Js = mat.E;
    max_iter = 0;
else  % cas plastique
    DVint.epsilon_e = 0;
    DVint.p = 0;

    [dVint,Jinv,eta] = correction(DVint,Vint_old,D_epsilon,mat);
    iter = 0;
    while (eta > mat.precision) & (iter < mat.max_iter)  % Algorithme de Newton Raphson
        iter = iter+1;
        DVint.epsilon_e = DVint.epsilon_e + dVint.epsilon_e;
        DVint.p         = DVint.p         + dVint.p;
        [dVint,Jinv,eta] = correction(DVint,Vint_old,D_epsilon,mat);
    end
    max_iter = iter;
    DVint.epsilon_e = DVint.epsilon_e + dVint.epsilon_e;
    DVint.p         = DVint.p         + dVint.p;


    Vint.epsilon_e = Vint_old.epsilon_e + DVint.epsilon_e;
    Vint.p         = Vint_old.p         + DVint.p;
    Sigma = mat.E*Vint.epsilon_e;


    Js = mat.E*Jinv(1,1);
end
